## org.apache.lucene.search.suggest
Class UnsortedTermFreqIteratorWrapper

    java.lang.Object
      org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
          org.apache.lucene.search.suggest.UnsortedTermFreqIteratorWrapper

All Implemented Interfaces:
  TermFreqIterator, org.apache.lucene.util.BytesRefIterator

    public class UnsortedTermFreqIteratorWrapper

extends BufferingTermFreqIteratorWrapper

This wrapper buffers the incoming elements and makes sure they are in random order.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`curPos, entries, freqs`

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Constructor Summary
`UnsortedTermFreqIteratorWrapper(TermFreqIterator source)`

Method Summary
`org.apache.lucene.util.BytesRef` `next()`
`long` `weight()`

Methods inherited from class org.apache.lucene.search.suggest.BufferingTermFreqIteratorWrapper
`getComparator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnsortedTermFreqIteratorWrapper

    public UnsortedTermFreqIteratorWrapper(TermFreqIterator source)
                                    throws IOException

Throws:
  `IOException`

Method Detail

### weight

    public long weight()

  Specified by:
    `weight` in interface `TermFreqIterator`
  Overrides:
    `weight` in class `BufferingTermFreqIteratorWrapper`

### next

    public org.apache.lucene.util.BytesRef next()
                                         throws IOException

  Specified by:
    `next` in interface `org.apache.lucene.util.BytesRefIterator`
  Overrides:
    `next` in class `BufferingTermFreqIteratorWrapper`
  Throws:
    `IOException`